<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class maco_contact_form extends \Elementor\Widget_Base {

	public function get_name() {
		return 'maco-contact-form';
	}

	public function get_title() {
		return __( 'Form Builder', 'maco' );
	}

	public function get_icon() {
		return 'eicon-form-horizontal';
	}

	public function get_categories() {
		return [ 'maco-general-category' ];
	}

	protected function register_controls() {

		/*===========FORM GENERAL SETTING=============*/

		$this->start_controls_section(
			'section_maco_contact_form_general_control',
			[
				'label' => __( 'Form Setting', 'maco' ),
			]
		);

		$this->add_control(
			'form_select',
			[
				'label' => __( 'Contact Form', 'maco' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => [],
				'options' => maco_contactform_temp(),
				'description' => __( 'List of your available contact form template.', 'maco' ),
			]
		);

		$this->end_controls_section();

	}

	protected function render() {

		$instance = $this->get_settings();

		include ( plugin_dir_path(__FILE__).'tpl/contact-block.php' );

	}

	protected function content_template() {}

	public function render_plain_content( $instance = [] ) {

	}

}