<?php

add_action( 'elementor/element/maco-post-block/section_maco_post_block_layout_setting/after_section_start', function( $element, $args ) {
	/** @var \Elementor\Element_Base $element */
	
	$element->add_control(
		'post_margin_bottom',
		[
			'label' => __( 'Margin Bottom', 'maco' ),
			'type' => \Elementor\Controls_Manager::TEXT,
			'default' => '30',
			'title' => __( 'Enter some text', 'maco' ),
			'selectors' => [
				'{{WRAPPER}} .blog-item, .selected-for-margin-bottom, {{WRAPPER}} .post-masonry-style #grid li.post' => 'margin-bottom: {{VALUE}}px;',
			],
		]
	);

	$element->add_control(
		'horizontal_use_left_def',
		[
			'label' => __( 'Make it Horizontal', 'maco' ),
			'type' => \Elementor\Controls_Manager::SWITCHER,
			'default' => 'left',
			'prefix_class' => 'horizontal-item-',
			'label_on' => 'Use',
			'label_off' => 'No',
			'return_value' => 'left',
			'selectors' => [
				'{{WRAPPER}} .blog-item' => 'float: {{VALUE}};',
			],
			'description' => __( 'You can make it horizontal inline and will displayed as grid', 'maco' ),
		]
	);

	$element->add_control(
		'horizontal_col_select2',
		[
			'label' => __( 'Post Column', 'maco' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'default' => 'column-3',
			'options' => [
				'column-1' => __( '1 Column', 'maco' ),
				'column-2' => __( '2 Column', 'maco' ),
				'column-3' => __( '3 Column', 'maco' ),
				'column-4' => __( '4 Column', 'maco' ),
				'column-5' => __( '5 Column', 'maco' ),
			],
			'description' => __( 'You can give your post list column to display how much item show per row.', 'maco' ),
		]
	);
	$element->add_control(
		'horizontal_col_select2_tablet',
		[
			'label' => __( 'Post Column Tablet', 'maco' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'default' => 'tablet-column-2',
			'options' => [
				'tablet-column-1' => __( '1 Column', 'maco' ),
				'tablet-column-2' => __( '2 Column', 'maco' ),
				'tablet-column-3' => __( '3 Column', 'maco' ),
				'tablet-column-4' => __( '4 Column', 'maco' ),
				'tablet-column-5' => __( '5 Column', 'maco' ),
			],
			'description' => __( 'You can give your post list column to display how much item show per row.', 'maco' ),
		]
	);
	$element->add_control(
		'horizontal_col_select2_mobile',
		[
			'label' => __( 'Post Column Mobile', 'maco' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'default' => 'mobile-column-1',
			'options' => [
				'mobile-column-1' => __( '1 Column', 'maco' ),
				'mobile-column-2' => __( '2 Column', 'maco' ),
				'mobile-column-3' => __( '3 Column', 'maco' ),
				'mobile-column-4' => __( '4 Column', 'maco' ),
				'mobile-column-5' => __( '5 Column', 'maco' ),
			],
			'description' => __( 'You can give your post list column to display how much item show per row.', 'maco' ),
		]
	);

	$element->add_control(
		'use_padding_def',
		[
			'label' => __( 'Use Padding', 'maco' ),
			'type' => \Elementor\Controls_Manager::SWITCHER,
			'default' => 'use',
			'prefix_class' => 'extra-padding-',
			'label_on' => 'Use',
			'label_off' => 'No',
			'return_value' => 'use',
			'description' => __( 'Add a gap for each post item with padding.', 'maco' ),
		]
	);

	$element->add_responsive_control(
		'padding_size_grid1',
		[
			'label' => __( 'Padding Size', 'maco' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'default' => [
				'size' => 25,
				'unit' => 'px',
			],
			'range' => [
				'px' => [
					'min' => 1,
					'max' => 50,
				],
			],
			'size_units' => [ 'px', 'em' ],
			'selectors' => [
				'{{WRAPPER}} .selector-padding' => 'padding-right: calc( {{SIZE}}{{UNIT}}/2 ); padding-left: calc( {{SIZE}}{{UNIT}}/2 );',
			],
			'condition' => [
				'use_padding_def' => 'use',
			],
		]
	);


}, 10, 2 );