<?php

add_action( 'elementor/element/maco-post-block/section_maco_post_block_post_setting/after_section_start', function( $element, $args ) {
	/** @var \Elementor\Element_Base $element */
	
	$element->add_control(
		'posts_per_page',
		[
			'label' => __( 'Post per Block', 'maco' ),
			'type' => \Elementor\Controls_Manager::TEXT,
			'default' => '6',
			'title' => __( 'Enter some text', 'maco' ),
			'description' => __( 'This option allow you to set how much post display in this block.', 'maco' ),	
		]
	);

	$element->add_control(
		'offset',
		[
			'label' => __( 'Offset', 'maco' ),
			'type' => \Elementor\Controls_Manager::TEXT,
			'default' => '',
			'title' => __( 'Enter some text', 'maco' ),
			'description' => __( 'Set the first post to display (start from 0 as the latest post in each order).', 'maco' ),
		]
	);

	$element->add_control(
		'category',
		[
			'label' => __( 'Category', 'maco' ),
			'type'    => \Elementor\Controls_Manager::SELECT2,
			'label_block' => true,
			'multiple'    => true,
			'default' => [],				
			'options' => maco_get_category(),
			'description' => __( 'Select category to display (default to All).', 'maco' ),
		]
	);

	$element->add_control(
		'orderby',
		[
			'label' => __( 'Order By', 'maco' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'default' => 'date',
			'options' => maco_order_by(),
			'description' => __( 'Select post order by (default to latest post).', 'maco' ),
		]
	);

	$element->add_control(
		'use_masonry',
		[
			'label' => __( 'Use Masonry', 'maco' ),
			'type' => \Elementor\Controls_Manager::SWITCHER,
			'label_on' => 'Use',
			'label_off' => 'No',
			'return_value' => 'use',
			'default' => 'no',
		]
	);

}, 10, 2 );