<div class="blog grid-style-1 main-blog-loop <?php if($post_pagination_type == 'post_pagination_infinite') { ?>post-list-wrap-<?php echo esc_attr($loop_infinite_class); } ?> clearfix">

	<div class="blog-content-wrapper clearfix">
<?php

	if ( get_query_var( 'paged' ) ) { $paged = get_query_var( 'paged' ); }
	elseif ( get_query_var( 'page' ) ) { $paged = get_query_var( 'page' ); }
	else { $paged = 1; }
	$order1 = array(
		'posts_per_page' => $post_per_page,
		'ignore_sticky_posts' => true,
		'paged' => $paged,
		'post_type' => 'post',
		'cat' => $category,
		'offset' => $offset,
		'orderby' => $orderby 
	); 
	$sec_hook = new WP_Query( $order1 );
	if ($sec_hook->have_posts()) : while($sec_hook->have_posts()) : $sec_hook->the_post();

	if(has_post_thumbnail()) { 
		$img_url_blog = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); 
		if($horizontal_use_left_def == 'left') {
			if($post_image_crop == 'on') {
				$crop = true;
			}
			else {
				$crop = false;
			}
			$image_blogblog = aq_resize($img_url_blog[0],  $width, $height, $crop, true, true);
			if ($image_blogblog) {
				$image_blogblog = $image_blogblog;
			} else {
				$image_blogblog = wp_get_attachment_image_src( get_post_thumbnail_id(), 'maco-post-block'); 
				$image_blogblog = $image_blogblog[0];
			}
		} else {
			if($post_image_crop == 'on') {
				$crop = true;
				$image_blogblog = aq_resize($img_url_blog[0],  $width, $height, $crop, true, true);
				if ($image_blogblog) {
					$image_blogblog = $image_blogblog;
				} else {
					$image_blogblog = wp_get_attachment_image_src( get_post_thumbnail_id(), 'maco-post-block'); 
					$image_blogblog = $image_blogblog[0];
				}
			} else {
				$image_blogblog = $img_url_blog[0];
			}
		}
	} ?>
	
	<div class="post-item blog-item blog-item selector-padding <?php echo esc_attr($horizontal_col_select2); ?> <?php echo esc_attr($horizontal_col_select2_tablet); ?> <?php echo esc_attr($horizontal_col_select2_mobile); ?> clearfix">

		<?php if(has_post_thumbnail()) {  ?>
			<div class="post-thumb">
				<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
					<img src="<?php echo esc_url( $image_blogblog ); ?>" alt="<?php the_title(); ?>">
					<div class="maco-overlay"></div>
				</a>
			</div><!-- thumbnail-->
		<?php } ?>

		<div class="post-content-wrap">
			<div class="post-content">

				<div class="loop-post-head the-post-head clearfix">
					<div class="post-meta clearfix">
						<div class="meta-info">
							<?php if($use_date == 'on') { ?>
							<span class="date span-head">
								<span><?php esc_html_e( 'Posted On', 'maco' ); ?></span>
								<a href="<?php the_permalink(); ?>">
									<span><?php echo get_the_date('F'); ?></span> <span><?php echo get_the_date('d'); ?></span><?php esc_html_e( ',', 'maco' ); ?> <span><?php echo get_the_date('Y'); ?></span>
								</a>
							</span>
							<?php } ?>

							<?php if($use_category == 'on') { ?>
							<span class="standard-post-categories span-head">
								<?php the_category(' '); ?>
							</span>
							<?php } ?>
						</div>
					</div>

					<?php if($use_title == 'on') { ?>
					<h2 class="post-title entry-title">
						<a href="<?php the_permalink(); ?>">
							<?php the_title(); ?>
						</a>
					</h2>
					<?php } ?>
				</div>

				<!-- if use excerpt -->
				<?php if($use_excerpt == 'on') { ?>
				<div class="post-text">
					<?php echo maco_excerpt($excerpt_word); ?>
				</div>
				<?php } ?>
				<!-- if use excerpt -->

				<?php if($use_read_more == 'on') { ?>
				<a href="<?php the_permalink(); ?>" class="read-more"><?php echo esc_html($read_more_text); ?></a>
				<?php } ?>
			</div>
		</div>
	</div>

	<?php endwhile; endif; ?>

	</div>

<?php
	$pages = '';
	$range = 2;
	$showitems = ($range * 2)+1;
	if($pages == '')
	{
		$pages = $sec_hook->max_num_pages;
		if(!$pages)
		{
			$pages = 1;
		}
	}
	if($post_pagination_type == 'post_pagination_number') {				 
		if(1 != $pages)
		{
			if($use_shadow_pagination != 'on') { 
			echo "<div class='navigation-paging pagination-num no-shadow clearfix'>";
			}
			else {
			echo "<div class='navigation-paging pagination-num clearfix'>";
			}
				echo "<div class='container'>";
					if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>First</a>";
					if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

					for ($i=1; $i <= $pages; $i++)
					{
						if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
						{
							echo ($paged == $i)? "<span class='btn current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='btn inactive' >".$i."</a>";
						}
					}

					if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
					if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>Last</a>";
				echo "</div>\n";
			echo "</div>\n";
		 }
	}
	elseif($post_pagination_type == 'post_pagination_nexprev') {
		if(1 != $pages) {  ?>
		<nav class="navigation-paging pagination pagination-page-template clearfix">
			<div class="container">
				<div class="post-navigation nav-previous pull-left">
					<?php next_posts_link( $pagination_prev_text, $sec_hook->max_num_pages ); ?>
				</div>
				<?php if ( get_previous_posts_link() ) : ?>
				<div class="post-navigation nav-next pull-right">
					<?php echo get_previous_posts_link( esc_html__( $pagination_next_text, 'maco' ) ); ?>
				</div>
				<?php endif; ?>
			</div>
		</nav>
	<?php }
	}
	elseif ($post_pagination_type == 'post_pagination_none') {
	 	echo '';
	} ?>

	<?php if($post_pagination_type == 'post_pagination_infinite') {
	if($use_shadow_pagination != 'on') { ?>
	<div class="navigation-paging infinite-wrap no-shadow <?php echo esc_attr($load_style); ?> clearfix">
	<?php }
	else { ?>
	<div class="navigation-paging infinite-wrap <?php echo esc_attr($load_style); ?> clearfix">
	<?php } ?>
		<div id="load-more-post-list-1-<?php echo esc_attr( $loop_infinite_class ); ?>" class="infinite-button"><?php next_posts_link( '', $sec_hook->max_num_pages ); ?></div>
		<button id="load-infinite4" class="btn"><?php echo sanitize_text_field( $loop_infinite_text ); ?></button>
	</div>
	<?php } ?>

</div>

<?php if($post_pagination_type == 'post_pagination_infinite') {
	if(!empty($loop_infinite_load_img['url'])) {
		$loader_img = esc_url( $loop_infinite_load_img['url'] );
	}
	else {
		$loader_img = get_template_directory_uri() . '/img/loader.gif';
	} 
} ?>
<script type="text/javascript">

	(function($) {
	'use strict';

		$(document).ready(function(){

		<?php if($use_masonry == 'use') { ?>
			var jQuerycontainer = $('.main-blog-loop .blog-content-wrapper').imagesLoaded( function() {
				// init Masonry after all images have loaded
				jQuerycontainer.isotope({
					transitionDuration: '0.65s',
					initLayout: true,
					columnWidth: '.post-item',
					itemSelector: '.post-item',
					fitWidth: true,
					stagger: 30,
				});
			});
		<?php }
		else { ?>

		var jQuerycontainer = $('.post-list-wrap-<?php echo esc_attr($loop_infinite_class); ?> .blog-content-wrapper');

		<?php } ?>

		<?php if($post_pagination_type == 'post_pagination_infinite') { ?>
		// Infinite Scroll
		jQuerycontainer.infinitescroll({
		loading: {
		finishedMsg: 'There is no more',
		img: "<?php echo $loader_img; ?>",
		msgText: 'loading',
		speed: 'normal'
			},

		state: {
		isDone: false
		},
			navSelector  : '#load-more-post-list-1-<?php echo esc_attr( $loop_infinite_class ); ?>', 
			nextSelector : '#load-more-post-list-1-<?php echo esc_attr( $loop_infinite_class ); ?> a', 
			itemSelector : '.post-list-wrap-<?php echo esc_attr($loop_infinite_class); ?> .post-item',

		},
		function( post4Block ) {
			$('.blog-content-wrapper').css('margin-bottom', 0);
			<?php if($use_masonry == 'use') { ?>
				var $newElems = $( manpost1Block ).css({ opacity: 0 });
				$newElems.imagesLoaded(function(){
					$newElems.animate({ opacity: 1 });
					jQuerycontainer.isotope( 'appended', $newElems, true );
				});
			<?php } ?>
		});

		jQuerycontainer.infinitescroll('unbind');
		$("#load-infinite4").click(function(){
			jQuerycontainer.infinitescroll('retrieve');
			$('.blog-content-wrapper').css('margin-bottom', 120);

			<?php if($use_masonry == 'use') { ?>
				$(window).resize(function() {
					jQuerycontainer.isotope('layout');
				});
			<?php } ?>
			return false;
		});
		<?php } ?>
	});
})( jQuery );
</script><!-- Portfolio Script End -->
<?php wp_reset_postdata();  ?>