<?php
class maco_recentpost_Widget extends WP_Widget {
	
	function __construct()
	{
		$widget_ops = array('classname' => 'widget_maco_latest_news', 'description' => '');

		$control_ops = array('id_base' => 'maco_recentpost-widget');

		parent::__construct('maco_recentpost-widget', 'Maco Latest News', $widget_ops, $control_ops);
	}

	public function maco_recentpost_Widget()
    {
        self::__construct();
    }
	
	function widget($args, $instance)
	{
		extract($args, EXTR_SKIP);
		$title = apply_filters('widget_title', $instance['title']);

		echo wp_specialchars_decode( $before_widget );

		if($title) {
			echo wp_specialchars_decode( $before_title ) . esc_html( $title ) . wp_specialchars_decode( $after_title );
		} ?>

			<div class="latest-post-widget clearfix">
				<div class="latest-post-wrap">
					<?php
						$latest_post2_wid = array(
							'post_type'         => 'post',
							'posts_per_page'	=> $instance['amount'],
							'ignore_sticky_posts' => 1,
							'order'	=> 'DESC',
						);
						
						$latest_post_wid = new WP_Query($latest_post2_wid); 
						if ($latest_post_wid->have_posts()) : while($latest_post_wid->have_posts()) : $latest_post_wid->the_post();
						$img_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); 
						$blogwidimg = aq_resize($img_url[0],  75, 60, true, true, true);
						if ($blogwidimg) {
							$blogwidimg = $blogwidimg;
						} else {
							$blogwidimg = wp_get_attachment_image_src( get_post_thumbnail_id(), 'maco-latestpost-widget_thumb'); 
							$blogwidimg = $blogwidimg[0];
						}
					?>
					
						<!-- widget-news -->
						<div class="post-item clearfix">
							<div class="post-content clearfix">
								<?php if ( has_post_thumbnail()) { ?>
									<div class="post-thumb">
										<a href="<?php the_permalink(); ?>">
											<img src="<?php echo esc_url( $blogwidimg ); ?>" alt="<?php echo esc_attr( 'latestwid-img' ); ?>">

											<div class="maco-overlay"></div>
										</a>
									</div><!-- thumbnail-->
								<?php } ?>
								<div class="post-inner-content clearfix">
									<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
									<div class="meta-latest-news">
										<div class="meta-info">
											<span class="author span-head">
												<span><?php esc_html_e( 'By', 'maco' ); ?></span>
												<span class="vcard"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"> <?php echo get_the_author_meta( 'display_name' ); ?></a></span>
											</span>
											<span class="date span-head">
												<span><?php esc_html_e( 'Posted On', 'maco' ); ?></span>
												<a href="<?php the_permalink(); ?>">
													<span><?php echo get_the_date('F'); ?></span> <span><?php echo get_the_date('d'); ?></span><?php esc_html_e( ',', 'maco' ); ?> <span><?php echo get_the_date('Y'); ?></span>
												</a>
											</span>
										</div>
									</div>
								</div>
							</div>
						</div>
						<!-- widget-news end -->

					<?php 
						endwhile; wp_reset_postdata(); endif;
					?>
				</div>
			</div>
		
		<?php echo wp_specialchars_decode( $after_widget );
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		if( is_numeric($new_instance['amount']) ){
			$instance['amount'] = $new_instance['amount'];
		} else {
			$new_instance['amount'] = '3';
		}

		return $instance;
	}

	function form($instance)
	{
		$instance = wp_parse_args( (array) $instance, array( 'title' => 'Maco News', 'amount' => '3', 'sort_type' => 'post_views_count' ) );
		$title      = !empty($instance['title']) ? $instance['title'] : 'Maco News';
		$amount      = !empty($instance['amount']) ? $instance['amount'] : '3';?>
		
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('title') ); ?>"><?php esc_html_e( 'Title', 'maco' ); ?>:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo esc_attr( $this->get_field_id('title') ); ?>" name="<?php echo esc_attr( $this->get_field_name('title') ); ?>" value="<?php echo esc_attr( $instance['title'] ); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('amount') ); ?>"><?php esc_html_e( 'Amount of Posts', 'maco' ); ?>:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo esc_attr( $this->get_field_id('amount') ); ?>" name="<?php echo esc_attr( $this->get_field_name('amount') ); ?>" value="<?php echo esc_attr( $instance['amount'] ); ?>" />
		</p>
	<?php
	}
}

function maco_recentpost_widget_init ()
{
	return register_widget('maco_recentpost_Widget');
}
add_action ('widgets_init', 'maco_recentpost_widget_init');